package emotionkb.live.offcn.com.emotionkeyboard;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.text.Html;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;


import java.util.List;

/**
 * <pre>
 * 解析MQTT下行的消息（文本，表情，图片）
 *
 * ZGLMqttMsgProcessor.getInstance()
 *                  .content()
 *                  .nickNameColor()
 *                  .mqttType()
 *                  .build();
 *
 * </pre>
 *
 * @author wangwenlong
 * @date 2018/8/9
 */
public class ZGLMqttMsgProcessor {
    private static final String TAG = ZGLMqttMsgProcessor.class.getSimpleName();
    private static Context mContext;
    private String mNickName;
    private static int mContentColor;
    private String mCreatedTime;
    private int mCreatedTimeColor;
    private String mUserType;

    private ZGLMqttMsgProcessor() {
    }

    public static ZGLMqttMsgProcessor getInstance(Context context) {
        mContext = context.getApplicationContext();
//        mContentColor = mContext.getResources().getColor(R.color.color_333333);
        return new ZGLMqttMsgProcessor();
    }


    // 获取图片
    public Bitmap getBitmap(String name) {
        try {
            return BitmapFactory.decodeResource(mContext.getResources(), getResId(name));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    // 获取resId
    public int getResId(String name) {
        if (TextUtils.isEmpty(name)) {
            return 0;
        }
        // 若传来的图片名称包含 .png，则去掉
        if (name.contains(".png")) {
            name = name.replace(".png", "");
        }
        return mContext.getResources().getIdentifier(name, "mipmap", mContext.getPackageName());
    }
}
