package emotionkb.live.offcn.com.emotionkeyboard.adapter;

import android.util.SparseArray;
import android.view.View;
import android.widget.TextView;

/**
 * 类似ListView工具类UtilViewHolder
 */
public class RecyclerViewHolderUtil {
    private SparseArray<View> viewHolder;
    private View view;

    public static RecyclerViewHolderUtil getViewHolder(View view) {
        RecyclerViewHolderUtil viewHolder = (RecyclerViewHolderUtil) view.getTag();
        if (viewHolder == null) {
            viewHolder = new RecyclerViewHolderUtil(view);
            view.setTag(viewHolder);
        }
        return viewHolder;
    }

    private RecyclerViewHolderUtil(View view) {
        this.view = view;
        viewHolder = new SparseArray<View>();
        view.setTag(viewHolder);
    }

    public <T extends View> T get(int id) {
        View childView = viewHolder.get(id);
        if (childView == null) {
            childView = view.findViewById(id);
            viewHolder.put(id, childView);
        }
        return (T) childView;
    }

    public View getConvertView() {
        return view;
    }

    public TextView getTextView(int id) {

        return get(id);
    }

    public void setTextView(int id, CharSequence charSequence) {
        getTextView(id).setText(charSequence);
    }

} 