package emotionkb.live.offcn.com.emotionkeyboard.adapter;

import android.content.Context;
import android.view.View;
import android.widget.ImageView;
import android.widget.Toast;


import java.util.List;

import emotionkb.live.offcn.com.emotionkeyboard.R;
import emotionkb.live.offcn.com.emotionkeyboard.ZGLMqttMsgProcessor;

/**
 * 表情键盘布局适配器
 *
 * @author wangwenlong
 * @date 2018/8/30
 */
public class ZGLEmotionAdapter extends BaseRecyclerViewAdapter<String> {
    public ZGLEmotionAdapter(Context paramContext) {
        super(paramContext);
    }

    public ZGLEmotionAdapter(Context context, List<String> list) {
        super(context, list);
    }

    @Override
    public int onCreateViewLayoutID(int viewType) {
        return R.layout.zgl_item_emotion;
    }

    @Override
    public int getItemCount() {
        return getBasicItemCount() + 1;
    }

    @Override
    public void bindItemViewHolder(RecyclerViewHolderUtil holder, final int position) {
        ImageView ivEmotion = holder.get(R.id.iv_emotion);

        // 最后一个位置，显示删除按钮
        String emotionName = null;
        if (position == getItemCount() - 1) {
            ivEmotion.setImageResource(R.mipmap.zgl_ic_emotion_del);
        } else {
            emotionName = getItem(position);
            ivEmotion.setImageBitmap(ZGLMqttMsgProcessor.getInstance(mContext).getBitmap(emotionName));
        }

        // 添加点击事件
        final String finalEmotionName = emotionName;
        holder.getConvertView().setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (position == getItemCount() - 1) {
                    // 点击最后一个位置，表明是 删除 按钮，发送删除广播
//                    EventBusUtil.sendEvent(new EventBusCenter(ZGLConstants.EventCode.Emotion.Del));
                    Toast.makeText(mContext, "点击删除", Toast.LENGTH_SHORT).show();
                } else {
                    // 发送对应表情名字广播
//                    EventBusUtil.sendEvent(new EventBusCenter(ZGLConstants.EventCode.Emotion.Add, finalEmotionName));
                    Toast.makeText(mContext, "点击：" + finalEmotionName, Toast.LENGTH_SHORT).show();
                }
            }
        });
    }

}
